PDA

View Full Version : MySQLi and the PHP5.4 breaking changes.



ApacheTech
07-28-2012, 12:16 AM
Hey, I'm currently using the PHP MySQLi Database Class from https://github.com/ajillion/PHP-MySQLi-Database-Class but the breaking changes in PHP5.4 now I've upgraded servers renders the whole thing useless.

Is anyone familiar wit the Class at all and how the call time pass-by-reference errors can be solved? Also, it relies on bind_result, which has also now been removed.

Are there any MySQLi OOP Wrapper Classes that actually work with PHP5.4?

ApacheTech
07-28-2012, 04:30 PM
UPDATE: I've moved over to PDO. It's unfortunate that I can't find a PDO Wrapper Class that works as well as the MySQLiDB class above, but the one I'm using works quite well.